//------------------------------------------------------------------------------
//	$Id: shading-wmflabs.js,v 1.3 2019/06/23 18:13:31 wolf Exp wolf $
//------------------------------------------------------------------------------
//	Erklaerung:	https://www.netzwolf.info/ol2/shading.html
//------------------------------------------------------------------------------
//	Fragen, Wuensche, Bedenken, Anregungen?
//	<openlayers(%40)netzwolf.info>
//------------------------------------------------------------------------------

/*jsl:option explicit*/

'use strict';

OpenLayers.Layer.Shading = OpenLayers.Class (OpenLayers.Layer.XYZ, {

	initialize: function(name, url, options) {

		options = OpenLayers.Util.extend({
			numZoomLevels: 17
		}, options);

		OpenLayers.Layer.XYZ.prototype.initialize.apply (this, [name, url, options]);
	},

	attribution: 'elevation data by <a href="http://nasa.gov/">NASA SRTM</a>',
	displayOutsideMaxExtent: true,
	isBaseLayer: false,
	name: 'Shading (SRTM/WMFLabs)',
	sphericalMercator: true,
	transparent: true,
	type: 'png',
	url: [
		'//a.tiles.wmflabs.org/hillshading/${z}/${x}/${y}.png',
		'//b.tiles.wmflabs.org/hillshading/${z}/${x}/${y}.png',
		'//c.tiles.wmflabs.org/hillshading/${z}/${x}/${y}.png'
	],
	visibility: true,
	CLASS_NAME: 'OpenLayers.Layer.Shading'
});

//------------------------------------------------------------------------------
//	$Id: shading-wmflabs.js,v 1.3 2019/06/23 18:13:31 wolf Exp wolf $
//------------------------------------------------------------------------------
